- rhbz#643194, stop a stoped service, start a start service

return codes now fixed.
This commit is contained in:
Steve Traylen 2010-10-14 23:47:23 +02:00
parent 42a804b695
commit 60b7bb5897
2 changed files with 79 additions and 1 deletions

71
torque-start-start.patch Normal file
View File

@ -0,0 +1,71 @@
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_mom torque-2.5.2/contrib/init.d/pbs_mom
--- torque-2.5.2.ORIG/contrib/init.d/pbs_mom 2010-10-14 23:20:58.500633494 +0200
+++ torque-2.5.2/contrib/init.d/pbs_mom 2010-10-14 23:36:00.369403267 +0200
@@ -51,6 +51,9 @@
case "$1" in
start)
echo -n "Starting TORQUE Mom: "
+ status pbs_mom 2>&1 > /dev/null
+ RET=$?
+ [ $RET -eq 0 ] && echo -n "pbs_mom already running" && success && echo && exit 0
# ulimit -c unlimited # Uncomment this to preserve core files
daemon $PBS_DAEMON $args -d $PBS_HOME
RET=$?
@@ -67,6 +70,9 @@
;;
stop)
echo -n "Shutting down TORQUE Mom: "
+ status pbs_mom 2>&1 > /dev/null
+ RET=$?
+ [ ! $RET -eq 0 ] && echo -n "pbs_mom already stopped" && success && echo && exit 0
kill_pbs_mom
RET=$?
[ $RET -eq 0 ] && success "shutdown" || failure "shutdown"
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_sched torque-2.5.2/contrib/init.d/pbs_sched
--- torque-2.5.2.ORIG/contrib/init.d/pbs_sched 2010-10-14 23:20:58.500633494 +0200
+++ torque-2.5.2/contrib/init.d/pbs_sched 2010-10-14 23:38:04.275381652 +0200
@@ -20,6 +20,10 @@
case "$1" in
start)
echo -n "Starting TORQUE Scheduler: "
+ status pbs_sched 2>&1 > /dev/null
+ RET=$?
+ [ $RET -eq 0 ] && echo -n "pbs_sched already running" && success && echo && exit 0
+
daemon $PBS_DAEMON -d $PBS_HOME
RET=$?
[ $RET -eq 0 ] && touch /var/lock/subsys/pbs_sched
@@ -27,6 +31,9 @@
;;
stop)
echo -n "Shutting down TORQUE Scheduler: "
+ status pbs_sched 2>&1 > /dev/null
+ RET=$?
+ [ ! $RET -eq 0 ] && echo -n "pbs_sched already stopped" && success && echo && exit 0
killproc pbs_sched
RET=$?
rm -f /var/lock/subsys/pbs_sched
diff -uNr torque-2.5.2.ORIG/contrib/init.d/pbs_server torque-2.5.2/contrib/init.d/pbs_server
--- torque-2.5.2.ORIG/contrib/init.d/pbs_server 2010-10-14 23:20:58.499634001 +0200
+++ torque-2.5.2/contrib/init.d/pbs_server 2010-10-14 23:37:06.460197422 +0200
@@ -20,6 +20,10 @@
case "$1" in
start)
echo -n "Starting TORQUE Server: "
+ status pbs_server 2>&1 > /dev/null
+ RET=$?
+ [ $RET -eq 0 ] && echo -n "pbs_server already running" && success && echo && exit 0
+
# ulimit -c unlimited # Uncomment this to preserve core files
if [ -r $PBS_HOME/server_priv/serverdb ]
then
@@ -51,6 +55,9 @@
;;
stop)
echo -n "Shutting down TORQUE Server: "
+ status pbs_server 2>&1 > /dev/null
+ RET=$?
+ [ ! $RET -eq 0 ] && echo -n "pbs_server already stopped" && success && echo && exit 0
killproc pbs_server
RET=$?
rm -f /var/lock/subsys/pbs_server

View File

@ -68,7 +68,7 @@
Name: torque Name: torque
Version: 2.5.2 Version: 2.5.2
Release: 3%{?dist} Release: 4%{?dist}
Summary: Tera-scale Open-source Resource and QUEue manager Summary: Tera-scale Open-source Resource and QUEue manager
Source0: http://www.clusterresources.com/downloads/%{name}/%{name}-%{version}.tar.gz Source0: http://www.clusterresources.com/downloads/%{name}/%{name}-%{version}.tar.gz
Source2: xpbs.desktop Source2: xpbs.desktop
@ -82,6 +82,8 @@ Source8: config
Patch0: torque-cond-touch.patch Patch0: torque-cond-touch.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=631256 # https://bugzilla.redhat.com/show_bug.cgi?id=631256
Patch1: torque-create-request.patch Patch1: torque-create-request.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=643194
Patch2: torque-start-start.patch
License: OpenPBS License: OpenPBS
Group: System Environment/Daemons Group: System Environment/Daemons
URL: http://www.clusterresources.com/products/torque/ URL: http://www.clusterresources.com/products/torque/
@ -270,6 +272,7 @@ This package holds the server.
%setup -q %setup -q
%patch0 -p1 %patch0 -p1
%patch1 -p1 %patch1 -p1
%patch2 -p1
install -pm 644 %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} \ install -pm 644 %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} \
%{SOURCE6} %{SOURCE7} %{SOURCE8} . %{SOURCE6} %{SOURCE7} %{SOURCE8} .
# rm x bit on some documentation. # rm x bit on some documentation.
@ -651,6 +654,10 @@ fi
%changelog %changelog
* Thu Oct 14 2010 Steve Traylen <steve.traylen@cern.ch> - 2.5.2-4
- rhbz#643194, stop a stoped service, start a start service
return codes now fixed.
* Thu Oct 14 2010 Steve Traylen <steve.traylen@cern.ch> - 2.5.2-3 * Thu Oct 14 2010 Steve Traylen <steve.traylen@cern.ch> - 2.5.2-3
- rhbz#631256 Only create db if asked to. - rhbz#631256 Only create db if asked to.